DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·RECORDS·LIST·GENERATED

List records

GET
/tables/{tableId}/records
SCOPE:tables:read

List records

Authentication

Requires API key with tables:read scope.

Path parameters

NameTypeDescription
tableIdUUIDPath parameter.

Query parameters

NameTypeDefaultDescription
limitintegerQuery parameter.
cursorstringQuery parameter.
viewstringQuery parameter.
sortstringQuery parameter.
filterstringQuery parameter.

Request

(no body)

Response — 200 OK

{
  "records": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "fields": {
        "example_key": null
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "next_cursor": "example"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
404not_foundResource not found.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/tables/00000000-0000-0000-0000-000000000000/records \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'
const response = await fetch('/tables/00000000-0000-0000-0000-000000000000/records', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
  },
})
const data = await response.json()
{
  "server": "onnie",
  "name": "listRecords",
  "description": "GET /tables/{tableId}/records"
}